Changing grid options in print layout makes QGIS crash on subsequent project load

2017-09-20 02:28 PM - Susan Miller

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 25068

Description

new description:

Create a new project

Add a layer (tried with something in wgs84 here)

Create a layout, add a map object

Follow steps 1-9 from here

Save project, close QGIS. Reopen QGIS, load project > crash.

old description:

program crashes at various stages of grid editing in map composer. "crash dumped" window pops up. "minidump written to C: and then

folder location"

this was happening in version 2.18.7 so I upgraded to 2.18.13, but this has not fixed the problem. Crash dump file is too large to upload.

History

#1 - 2017-09-21 11:37 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Can you attach the offending project and data? or it just happen to you with any project/data, even a very simple one? In the second case try with a clean

installation, start from (backup and) deleting the .qgis2 folder and restart qgis.

#2 - 2017-09-21 11:56 AM - Susan Miller

- File sa map only.qgs added

it doesn't happen with all my projects, but the one that caused the initial problem now crashes as soon as I try to open it! I ended up starting a new project

and adding the various layers from scratch (I didn't need all of the ones I had in the original project) and it is working - for now. Attached is the file that

crashes on opening.

#3 - 2017-09-21 12:06 PM - Giovanni Manghi
- Category changed from Map Composer/Printing to Project Loading/Saving

- Operating System deleted (Windows 10 64x)

- Status changed from Feedback to Open

- Subject changed from map composer crash when editing grid to QGIS crashes on project load

- Description updated

#4 - 2017-09-26 12:51 PM - Susan Miller

- File sept_saonly.qgs added

now it is happening repeatedly. I made a(nother) map of this project after I couldn't get into the last one and it worked fine until I tried to reopen it. I have

customised the grid coordinates as suggested here:

https://gis.stackexchange.com/questions/255861/adding-a-space-in-the-draw-coordinates-decimal-with-suffix-in-qgis-v2-18-7

and reduced the gridlines to ticks as suggested here:

https://gis.stackexchange.com/questions/91612/adding-graticules-to-the-edge-of-the-map-only-in-qgis

is it possible one of these steps is causing the problem? I've never had this sort of issues before trying to customise the grid and coordinates.

Attached is the latest faulty file.

#5 - 2017-09-26 01:13 PM - Giovanni Manghi

- Status changed from Open to Feedback

is it possible one of these steps is causing the problem? I've never had this sort of issues before trying to customise the grid and coordinates.~

can you consistently replicate the problem after those steps?

#6 - 2017-09-26 01:39 PM - Susan Miller

- File test2.qgs added

the first step seems fine (I saved and reopened successfully), but the reducing of the gridlines to ticks as suggested here:

https://gis.stackexchange.com/questions/91612/adding-graticules-to-the-edge-of-the-map-only-in-qgis

makes even a simple map of Africa crash dump on opening after saving. I will have to find another way to do this I guess!

#7 - 2017-09-26 01:42 PM - Giovanni Manghi

- Status changed from Feedback to Open

Susan Miller wrote:

the first step seems fine (I saved and reopened successfully), but the reducing of the gridlines to ticks as suggested here:

https://gis.stackexchange.com/questions/91612/adding-graticules-to-the-edge-of-the-map-only-in-qgis

thanks, finding a way to consistently replicate the issue is very important.
#8 - 2017-09-26 02:19 PM - Giovanni Manghi

- Subject changed from QGIS crashes on project load to Changing grid options in print layout makes QGIS crash on subsequent project load

- Description updated

#9 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#10 - 2019-02-11 12:25 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Files

sa map only.qgs 600 KB 2017-09-21 Susan Miller

sept_saonly.qgs 144 KB 2017-09-26 Susan Miller

test2.qgs 22.4 KB 2017-09-26 Susan Miller
